groovy.util

## Class NodeList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList
      - - groovy.util.NodeList

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

      public class NodeList
      extends java.util.ArrayList

  A List implementation which is returned by queries on a `Node` which provides some XPath like helper methods for GPath.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeList()`
    `NodeList(java.util.Collection collection)`
    `NodeList(int size)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Creates a new NodeList containing the same elements as the original (but cloned in the case of Nodes).
    `NodeList` | `getAt(QName name)` Provides lookup of elements by QName.
    `NodeList` | `getAt(java.lang.String name)` Provides lookup of elements by non-namespaced name.
    `void` | `plus(Closure c)`
    `Node` | `replaceNode(Closure c)`
    `protected static void` | `setMetaClass(java.lang.Class nodelistClass, MetaClass metaClass)`
    `java.lang.String` | `text()` Returns the text value of all of the elements in the collection.

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, contains, ensureCapacity, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeRange, retainAll, set, size, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

- - ### Constructor Detail

    - #### NodeList

          public NodeList()

    - #### NodeList

          public NodeList(java.util.Collection collection)

    - #### NodeList

          public NodeList(int size)

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()

      Creates a new NodeList containing the same elements as the original (but cloned in the case of Nodes).
      Overrides:
        `clone` in class `java.util.ArrayList`
      Returns:
        the clone

    - #### setMetaClass

          protected static void setMetaClass(java.lang.Class nodelistClass,
                          MetaClass metaClass)

    - #### getAt

          public NodeList getAt(java.lang.String name)

      Provides lookup of elements by non-namespaced name.
      Parameters:
        `name` - the name or shortcut key for nodes of interest
      Returns:
        the nodes of interest which match name

    - #### getAt

          public NodeList getAt(QName name)

      Provides lookup of elements by QName.
      Parameters:
        `name` - the name or shortcut key for nodes of interest
      Returns:
        the nodes of interest which match name

    - #### text

          public java.lang.String text()

      Returns the text value of all of the elements in the collection.
      Returns:
        the text value of all the elements in the collection or null

    - #### replaceNode

          public Node replaceNode(Closure c)

    - #### plus

          public void plus(Closure c)